##
# As Input Feature 是模式匹配中输入模式的逻辑关注点。

module Unidom::Stapar
  module Concerns
    module AsInputFeature

      extend ActiveSupport::Concern

      included do |includer|

        has_many :matched_pattern_matchings, class_name: 'Unidom::Stapar::PatternMatching', as:     :input
        has_many :matched_patterns,          through:    :matched_pattern_matchings,        source: :matched, source_type: 'Unidom::Stapar::Feature'

      end

      module ClassMethods

      end

    end
  end
end
