##
# As Matched Feature 是模式匹配中匹配模式的逻辑关注点。

module Unidom::Stapar
  module Concerns
    module AsMatchedFeature

      extend ActiveSupport::Concern

      included do |includer|

        has_many :input_pattern_matchings, class_name: 'Unidom::Stapar::PatternMatching', as:     :matched
        has_many :input_patterns,          through:    :matched_pattern_matchings,        source: :input, source_type: 'Unidom::Stapar::Feature'

      end

      module ClassMethods

      end

    end
  end
end
