##
# As Matched Sample 是模式匹配中匹配样本的逻辑关注点。

module Unidom::Stapar
  module Concerns
    module AsMatchedSample

      extend ActiveSupport::Concern
      extend AsSample

      included do |includer|

        #includer.class_eval do
        #  include AsSample
        #end

        has_many :input_pattern_matchings, through: :features,                as:     :matched #, class_name: 'Unidom::Stapar::PatternMatching'
        has_many :input_patterns,          through: :input_pattern_matchings, source: :input, source_type: 'Unidom::Stapar::Feature'
        has_many :input_samples,           through: :input_patterns,          source: :sample

      end

      module ClassMethods

      end

    end
  end
end
