##
# As Pattern 是模式的领域逻辑关注点，主要与模式库交互。

module Unidom::Stapar
  module Concerns
    module AsPattern

      extend ActiveSupport::Concern

      included do |includer|

        has_many :pattern_library_inclusions, class_name: 'Unidom::Stapar::PatternLibraryInclusion'
        has_many :pattern_libraries,          through:    :pattern_library_inclusions

      end

      module ClassMethods

      end

    end
  end
end
