require "rails_helper"

describe Unidom::Stapar::AppliedField, type: :type do

  before :each do
  end

  after :each do
  end

  it_behaves_like 'ProgneTapera::EnumConfig', 16, [
    { code: 'EYEP', name: 'eyeprint',              localized_name: '眼纹' },
    { code: 'FACE', name: 'face',                  localized_name: '面部' },
    { code: 'FNGR', name: 'fingerprint',           localized_name: '指纹' },
    { code: 'GAIT', name: 'gait',                  localized_name: '步态' },
    { code: 'GENE', name: 'gene',                  localized_name: '基因' },
    { code: 'HDSP', name: 'hand_shape',            localized_name: '手形' },
    { code: 'HDWR', name: 'handwriting',           localized_name: '笔迹' },
    { code: 'IFTG', name: 'infared_thermogram',    localized_name: '红外温谱图' },
    { code: 'IRIS', name: 'iris',                  localized_name: '虹膜' },
    { code: 'KBDT', name: 'keyboard_typing_habit', localized_name: '键盘敲击习惯' },
    { code: 'MCIP', name: 'microchip_implant',     localized_name: '皮肤芯片' },
    { code: 'PALM', name: 'palm',                  localized_name: '手掌几何学' },
    { code: 'RTNA', name: 'retina',                localized_name: '视网膜' },
    { code: 'SGNT', name: 'signature',             localized_name: '签名' },
    { code: 'VEIN', name: 'vein',                  localized_name: '静脉' },
    { code: 'VOIC', name: 'voice',                 localized_name: '语音' } ]

end
