##
# As Feature 是特征的领域逻辑关注点。

module Unidom::Stapar
  module Concerns
    module AsFeature

      extend ActiveSupport::Concern

      included do |includer|

        belongs_to :sample,     class_name: 'Unidom::Stapar::Sample'
        belongs_to :classifier, class_name: 'Unidom::Stapar::Classifier'

        scope :classified_by,  -> (classifier) { where classifier_id:  to_id(classifier) }
        scope :extracted_from, -> (sample)     { where sample:         sample            }

        #def is_classified!(into: nil, per: nil, by: nil, at: Time.now)
        #  create! sample: self, classifier: by, extracted_link: per, feature_link: into, opened_at: at
        #end

      end

      module ClassMethods

      end

    end
  end
end
