##
# As Sample 是采样的领域逻辑关注点。

module Unidom::Stapar
  module Concerns
    module AsSample

      extend ActiveSupport::Concern

      included do |includer|

        belongs_to :substance, polymorphic: true
        has_many   :features,  class_name: 'Unidom::Stapar::Feature'
        #has_many :pattern_library_inclusions, through: :features
        #has_many :pattern_libraries,          through: :pattern_library_inclusions

        belongs_to :taker_equipment, polymorphic: true

        scope :taker_equipment_is, -> (taker_equipment) { where taker_equipment: taker_equipment }

      end

      module ClassMethods
      end

    end
  end
end
